<!--{if $item == "lovesort"}-->
<!-- 交友类型 -->
<!--{assign var="lovesortlist" value=vo_list("mod={volistlovesort}")}-->
<div class="varpop-list" id="varpop-list">
  <ul>
	<!--{foreach $lovesortlist as $val}-->
	<li id="text_<!--{$val.sortid}-->"><!--{$val.sortname}--> <i><input class="checkbox-s" type="checkbox" name="id" id="id" value="<!--{$val.sortid}-->"<!--{checkbox value="<!--{$value}-->" tofound="<!--{$val.sortid}-->"}--> /></i></li>
	<!--{/foreach}-->
  </ul>
  <div class="clear"></div>
</div>

<div class="varpop-button">
  <div class="btn-comfirm">确定</div>
  <div class="btn-cancel">取消</div>
  <div class="clear"></div>
</div>

<script type="text/javascript">
$(function(){
	//确定
	$(".btn-comfirm").click(function(){
		var ids = "";
		var text = "";
		$("input:checked[name=id]").each(function(){
			if($(this)[0].checked){
				ids += $(this).val()+",";
				text += $("#text_"+$(this).val()).text()+" ";
			}
		});
		//选择查询、等操作
		$("#<!--{$input}-->").val(ids); //赋值
		$("#<!--{$input}-->_text").text(text); //赋值
		varCheckboxPopClose(); //关闭

	});

	//关闭取消
	$(".btn-cancel").click(function(){
		varCheckboxPopClose();
	});
});
</script>
<!--{else}-->
<!-- 交友参数 -->
<!--{assign var="item_list" value=vo_list("mod={volistvar} where={$item}")}-->
<!--{if !empty($item_list)}-->
<div class="varpop-list" id="varpop-list">
  <ul>
	<!--{foreach $item_list as $val}-->
	<li id="text_<!--{$val.value}-->"><!--{$val.text}--> <i><input class="checkbox-s" type="checkbox" name="id" id="id" value="<!--{$val.value}-->"<!--{checkbox value="<!--{$value}-->" tofound="<!--{$val.value}-->"}--> /></i></li>
	<!--{/foreach}-->
  </ul>
  <div class="clear"></div>
</div>

<div class="varpop-button">
  <div class="btn-comfirm">确定</div>
  <div class="btn-cancel">取消</div>
  <div class="clear"></div>
</div>

<script type="text/javascript">
$(function(){
	//确定
	$(".btn-comfirm").click(function(){
		var ids = "";
		var text = "";
		$("input:checked[name=id]").each(function(){
			if($(this)[0].checked){
				ids += $(this).val()+",";
				text += $("#text_"+$(this).val()).text()+" ";
			}
		});
		<!--{if $module == "profile"}-->
		//修改资料
		$.ajax({
			type: "POST",
			url: WEBAPP_APPFILE+"?c=profile&a=saveprofilemulti",
			cache: false,
			data: {item:"<!--{$item}-->", value:ids, r:get_rndnum(8)},
			dataType: "json",
			success: function(data) {
				var json = eval(data);
				var response = json.response;
				var result = json.result;
				if (response == '1') {
					$("#<!--{$input}-->").val(ids); //赋值
					$("#<!--{$input}-->_text").text(text); //赋值
					ToastShow("设置成功");
					varCheckboxPopClose(); //关闭
				}
				else {
					ToastShow("设置失败，请检查网络...");
				}
			},
			error: function() {
				ToastShow("设置失败，请检查网络...");
			}
		});
		<!--{else}-->
		//选择查询、等操作
		$("#<!--{$input}-->").val(ids); //赋值
		$("#<!--{$input}-->_text").text(text); //赋值
		varCheckboxPopClose(); //关闭
		<!--{/if}-->

	});

	//关闭取消
	$(".btn-cancel").click(function(){
		varCheckboxPopClose();
	});
});
</script>
<!--{/if}-->
<!--{/if}-->